> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notifications

> Get notifications



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/notifications
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/notifications:
    get:
      tags:
        - notifications
      summary: Get notifications
      description: Get notifications
      operationId: getNotifications
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
          description: The limit used for offset-based pagination
        - in: query
          name: offset
          schema:
            type: integer
          description: The offset used for offset-based pagination
        - in: query
          name: orderBy
          schema:
            type: string
          description: A field to order by
        - in: query
          name: orderDir
          schema:
            type: string
          description: Ordering direction ('asc' or 'desc')
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetNotificationsResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetNotificationsResponse:
      type: object
      required:
        - notifications
      properties:
        notifications:
          type: array
          items:
            type: object
            required:
              - id
              - changeLogEventId
              - actionId
              - actionDetails
              - status
              - createdAt
              - retryCount
              - actionName
            properties:
              id:
                type: string
                description: The unique identifier of the created notification
              changeLogEventId:
                type: string
                description: >-
                  The unique identifier of the change log event associated with
                  the notification
              actionId:
                type: string
                description: >-
                  The unique identifier of the action associated with the
                  notification
              actionDetails:
                type: object
                description: >-
                  Additional details about the action associated with the
                  notification
                additionalProperties: true
              status:
                type: string
                description: >-
                  The current status of the notification (e.g., "PENDING",
                  "SENT", "FAILED")
                enum:
                  - PENDING
                  - SENT
                  - FAILED
              createdAt:
                type: string
                description: The timestamp when the notification was created
                format: date-time
              updatedAt:
                type: string
                description: The timestamp when the notification was last updated
                format: date-time
              retryCount:
                type: integer
                description: The number of times the notification has been retried
                minimum: 0
              actionName:
                type: string
                description: The name of the actions associated with the notification
              userName:
                type: string
                description: The name of the user who created the action
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````